<?

function path($id){
	global $db;

	$file=$_SERVER['SCRIPT_NAME'];
	
  $pre="<a href='index.php'>home</a> > "; 
  $path="";
  
  if ($id){

		$sql = "select * from categoria where id=$id";
		$lista =  $db->get( $sql );

		$tipo=$lista[0]['tipo1'];
		switch ($tipo){
			case 'saibaMais':
			$tipo="subarea.php?id=" .$lista[0]['id'];
			break;
			case 'guiaPratico':
			$tipo="area.php?id=" .$lista[0]['id'];
			break;
			case 'noticia':
			$tipo="noticias.php";
			break;
			default:
			$tipo.="php";
		}
		
		if ($lista[0]['id']==6) $tipo="adultos.php";
		
		if($lista[0]['idPai']) 
			$path .=path($lista[0]['idPai']) ."<a href=\"$tipo\">". strtolower($lista[0]['categoria']) ."</a> > ";
		else
			$path .=$pre ."<a href=\"$tipo\">".strtolower($lista[0]['categoria']) ."</a> > ";
	} else {
	if ($file!= "/index.php"){
			$path= $pre . str_replace("_", " \ ", substr(substr($file, 0,-4),1));
			$path= str_replace("-", " ", $path);
			$path= ucwords($path);
		} else {
			$path="home > ";
		}
	}
	return $path;
}


?>
